package org.silverpeas.mobile.client.common.storage;

public class AutoBeanFactoryImpl extends com.google.web.bindery.autobean.gwt.client.impl.AbstractAutoBeanFactory implements org.silverpeas.mobile.client.common.storage.AutoBeanFactory {
  @Override protected void initializeCreatorMap(com.google.web.bindery.autobean.gwt.client.impl.JsniCreatorMap map) {
    map.add(org.silverpeas.mobile.shared.dto.configuration.IConfig.class, getConstructors_org_silverpeas_mobile_shared_dto_configuration_IConfig());
    map.add(org.silverpeas.mobile.shared.dto.IFullUser.class, getConstructors_org_silverpeas_mobile_shared_dto_IFullUser());
    map.add(org.silverpeas.mobile.shared.dto.authentication.IUserProfile.class, getConstructors_org_silverpeas_mobile_shared_dto_authentication_IUserProfile());
  }
  private native com.google.gwt.core.client.JsArray<com.google.gwt.core.client.JavaScriptObject> getConstructors_org_silverpeas_mobile_shared_dto_configuration_IConfig() /*-{
    return [
      @org.silverpeas.mobile.shared.dto.configuration.IConfigAutoBean::new(Lcom/google/web/bindery/autobean/shared/AutoBeanFactory;),
      @org.silverpeas.mobile.shared.dto.configuration.IConfigAutoBean::new(Lcom/google/web/bindery/autobean/shared/AutoBeanFactory;Lorg/silverpeas/mobile/shared/dto/configuration/IConfig;)
    ];
  }-*/;
  private native com.google.gwt.core.client.JsArray<com.google.gwt.core.client.JavaScriptObject> getConstructors_org_silverpeas_mobile_shared_dto_IFullUser() /*-{
    return [
      @org.silverpeas.mobile.shared.dto.IFullUserAutoBean::new(Lcom/google/web/bindery/autobean/shared/AutoBeanFactory;),
      @org.silverpeas.mobile.shared.dto.IFullUserAutoBean::new(Lcom/google/web/bindery/autobean/shared/AutoBeanFactory;Lorg/silverpeas/mobile/shared/dto/IFullUser;)
    ];
  }-*/;
  private native com.google.gwt.core.client.JsArray<com.google.gwt.core.client.JavaScriptObject> getConstructors_org_silverpeas_mobile_shared_dto_authentication_IUserProfile() /*-{
    return [
      @org.silverpeas.mobile.shared.dto.authentication.IUserProfileAutoBean::new(Lcom/google/web/bindery/autobean/shared/AutoBeanFactory;),
      @org.silverpeas.mobile.shared.dto.authentication.IUserProfileAutoBean::new(Lcom/google/web/bindery/autobean/shared/AutoBeanFactory;Lorg/silverpeas/mobile/shared/dto/authentication/IUserProfile;)
    ];
  }-*/;
  @Override protected void initializeEnumMap() {
  }
  public com.google.web.bindery.autobean.shared.AutoBean iconfig() {
    return new org.silverpeas.mobile.shared.dto.configuration.IConfigAutoBean(AutoBeanFactoryImpl.this);
  }
  public com.google.web.bindery.autobean.shared.AutoBean ifulluser() {
    return new org.silverpeas.mobile.shared.dto.IFullUserAutoBean(AutoBeanFactoryImpl.this);
  }
  public com.google.web.bindery.autobean.shared.AutoBean iuserprofile() {
    return new org.silverpeas.mobile.shared.dto.authentication.IUserProfileAutoBean(AutoBeanFactoryImpl.this);
  }
}
